#include "tx433.h"

/*
  Example of using the Tx433 lib to control Home Automation power outlet sockets
  2015-12-13: Ben Smeets 
*/

/**
 * Here is the unique Sender/Transmitter code. Use the Serial print outs to identify your Transmitter code.
 * your transmitter code: max value is 
 *                      0x3FFFFFF if you use hex input
 *                      67108863  if you use decimal input
 */
unsigned long tx_code = 12; //put your code here; 

unsigned int ch_proove=2;

#define ENCRYPTION
// Here we set the key that you use. Change this key to your value.
// Here we set the 128 bit key that you use. Change this key to your value.
unsigned char key[16]= {0xff, 0xff, 0xff, 0xff, \
                        0xff, 0xff, 0xff, 0xfe, \
                        0xff, 0xff, 0xff, 0xfd, \
                        0xff, 0xff, 0xff, 0xfc};
#undef ENCRYPTION


int txpin = 13;

Tx433 Proove;

void setup() {
  
  Serial.begin(9600); 								// Speed of your serial window
  Proove.baseInit(txpin, tx_code, ch_proove);		// Create a transmitter instance
#ifdef ENCRYPTION
  Proove.setKey(key);
#endif
}

/* Trial test loop: note that you must sent "on" commands to
 * have the code being learned by the switch.
 * Make changes in this loop for your own tests.
 */
void loop() {
  Proove.Device_On(0);
  delay(1000);
  Proove.Device_Off(0);
  delay(5000);
}

/* Mandatory TestLoop
 * run this loop to show the laboratory assistent that your
 * got your transmitter and switch working.
 * Do not change this code
 */
/* commented out
void loop() {
  Proove.Device_On(0);
  delay(2000);
  Proove.Device_Off(0);
  delay(2000);
  Proove.Device_On(0);
  delay(2000);
  Proove.Device_Off(0);
  delay(10000);
}
*/

